R_CLOSE_DOCK(3)

FUNCTION
r_close_dock - Close a dock.

SYNOPSIS
#include <karma_r.h>

flag r_close_dock

(int dock)

DESCRIPTION
This routine will close a dock. If the dock was the last open dock for the port, then the entire port is closed and a new port may be allocated.

dock
    The dock to close.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/